# TdApi.GetExternalLink (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: GetExternalLink

Package it.tdlight.jni

# Class TdApi.GetExternalLink

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.GetExternalLink

Enclosing class:
  TdApi

    public static class TdApi.GetExternalLink
    extends TdApi.Function

Returns an HTTP URL which can be used to automatically authorize the current user on a website after clicking an HTTP link. Use the method getExternalLinkInfo to find whether a prior user confirmation is needed.

Returns `HttpUrl`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`boolean` | `allowWriteAccess` | True, if the current user allowed the bot, returned in getExternalLinkInfo, to send them messages.
`static int` | `CONSTRUCTOR` |
`String` | `link` | The HTTP link.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`GetExternalLink()` | Returns an HTTP URL which can be used to automatically authorize the current user on a website after clicking an HTTP link.
`GetExternalLink​(DataInput input)` |
`GetExternalLink​(String link, boolean allowWriteAccess)` | Returns an HTTP URL which can be used to automatically authorize the current user on a website after clicking an HTTP link.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### link

public String link
The HTTP link.

### allowWriteAccess

public boolean allowWriteAccess
True, if the current user allowed the bot, returned in getExternalLinkInfo, to send them messages.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### GetExternalLink

public GetExternalLink()
Returns an HTTP URL which can be used to automatically authorize the current user on a website after clicking an HTTP link. Use the method getExternalLinkInfo to find whether a prior user confirmation is needed.

Returns `HttpUrl`

### GetExternalLink

public GetExternalLink​(String link, boolean allowWriteAccess)
Returns an HTTP URL which can be used to automatically authorize the current user on a website after clicking an HTTP link. Use the method getExternalLinkInfo to find whether a prior user confirmation is needed.

Returns `HttpUrl`

Parameters:
  `link` - String The HTTP link.
  `allowWriteAccess` - boolean True, if the current user allowed the bot, returned in getExternalLinkInfo, to send them messages.

### GetExternalLink

public GetExternalLink​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`